Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PUT \ --url https://api.zudu.ai/api/agents/upsert \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --header 'X-API-SECRET: <api-key>' \ --data ' { "agent_name": "My Agent" } '
{ "message": "Agent created successfully", "status": "success", "error": null, "data": { "operation": "created", "agent_id": "agent_12345678-1234-1234-1234-123456789012", "organization_id": "org_xyz789", "agent": { "agent_id": "agent_12345678-1234-1234-1234-123456789012", "organization_id": "org_xyz789", "agent_name": "My Agent", "begin_message": "Hello! How can I help you?", "created_at": "2025-01-15T10:30:00", "updated_at": "2025-01-15T10:30:00" } } }
Creates or updates an agent (current behavior).
API Key for MCP server and external service authentication
API Secret for MCP server and external service authentication
Show child attributes
Agent created or updated successfully